Trigger validation workflow
Starts the asynchronous validation workflow for a blockchain and its associated validation session.
POST
/
blockchain_link
/
blockchains
/
{blockchainId}
/
validate
TypeScript
const response: Promise<FireblocksResponse<TriggerValidationFlowResponse>> = fireblocks.blockchainLinkBeta.triggerBlockchainLinkValidation(blockchainLinkBetaApiTriggerBlockchainLinkValidationRequest);CompletableFuture<ApiResponse<TriggerValidationFlowResponse>> response = fireblocks.blockchainLinkBeta().triggerBlockchainLinkValidation(blockchainId, idempotencyKey);response = fireblocks.blockchain_link_beta.trigger_blockchain_link_validation(blockchain_id, idempotency_key);curl --request POST \
--url https://api.fireblocks.io/v1/blockchain_link/blockchains/{blockchainId}/validateconst options = {method: 'POST'};
fetch('https://api.fireblocks.io/v1/blockchain_link/blockchains/{blockchainId}/validate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Validation flow triggered"
}{
"message": "<string>",
"code": 123
}Headers
A unique identifier for the request. If the request is sent multiple times with the same idempotency key, the server will return the same response as the first request. The idempotency key is valid for 24 hours.
Path Parameters
ID of the blockchain to validate.
Example:
"f47ac10b-58cc-4372-a567-0e02b2c3d479"
Response
Accepted
Human-readable result message.
Example:
"Validation flow triggered"
Was this page helpful?
⌘I
TypeScript
const response: Promise<FireblocksResponse<TriggerValidationFlowResponse>> = fireblocks.blockchainLinkBeta.triggerBlockchainLinkValidation(blockchainLinkBetaApiTriggerBlockchainLinkValidationRequest);CompletableFuture<ApiResponse<TriggerValidationFlowResponse>> response = fireblocks.blockchainLinkBeta().triggerBlockchainLinkValidation(blockchainId, idempotencyKey);response = fireblocks.blockchain_link_beta.trigger_blockchain_link_validation(blockchain_id, idempotency_key);